# Generated by go2rpm
%bcond_without check

# https://github.com/prometheus/tsdb
%global goipath         github.com/prometheus/tsdb
Version:                0.9.1

%gometa

%global common_description %{expand:
Package Tsdb implements a time series storage for float64 sample data.}

%global golicenses      LICENSE
%global godocs          docs MAINTAINERS.md README.md CHANGELOG.md\\\
                        README-tsdb.md

Name:           %{goname}
Release:        3%{?dist}
Summary:        Prometheus time series database layer

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/cespare/xxhash)
BuildRequires:  golang(github.com/go-kit/kit/log)
BuildRequires:  golang(github.com/go-kit/kit/log/level)
BuildRequires:  golang(github.com/golang/snappy)
BuildRequires:  golang(github.com/oklog/ulid)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(golang.org/x/sync/errgroup)
BuildRequires:  golang(golang.org/x/sys/unix)
BuildRequires:  golang(gopkg.in/alecthomas/kingpin.v2)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/testutil)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
mv cmd/tsdb/README.md README-tsdb.md

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc docs MAINTAINERS.md README.md CHANGELOG.md README-tsdb.md
%{_bindir}/*

%gopkgfiles

%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 09 21:34:47 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.1-1
- Release 0.9.1

* Wed May 15 15:44:48 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.1-1
- Initial package
